Group: System/Libraries
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global enable_tests 1

Name:           nodejs-stylus
Version:        0.54.5
Release:        alt1_4
Summary:        Robust, expressive, and feature-rich CSS super-set for Node.js
License:        MIT
URL:            https://github.com/stylus/stylus
Source0:        https://registry.npmjs.com/stylus/-/stylus-%{version}.tgz
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source2:	docs-%{version}.tar.bz2
Source10:	dl-tests.sh

BuildArch:      noarch

BuildRequires:  rpm-build-nodejs node-devel

%if 0%{?enable_tests}
BuildRequires:  npm(css-parse)
BuildRequires:  npm(debug)
BuildRequires:  npm(mkdirp)
BuildRequires:  npm(mocha)
BuildRequires:  npm(sax)
BuildRequires:  npm(should)
%endif
Source44: import.info

%description
Stylus is a revolutionary new language, providing an efficient, dynamic,
and expressive way to generate CSS. It supports both indented syntax and
regular CSS style.

It has many features, including mixins, keyword arguments, variables,
interpolation, operators, conditionals, iteration, over 25 built-in functions,
optional compression and many more.


%prep
%setup -q -n package

%nodejs_fixdep glob "^6.0.3"
%nodejs_fixdep sax "^0.6.0"
%nodejs_fixdep source-map "^0.5.2"
#Tests and docs
%setup -q -T -D -a 1 -n package
%setup -q -T -D -a 2 -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/stylus
cp -pr package.json index.js lib/ \
    %{buildroot}%{nodejs_sitelib}/stylus
mkdir -p %{buildroot}%{nodejs_sitelib}/stylus/bin
install -p -D -m0755 bin/stylus \
    %{buildroot}%{nodejs_sitelib}/stylus/bin/stylus
mkdir -p %{buildroot}%{_bindir}
ln -sf %{nodejs_sitelib}/stylus/bin/stylus \
    %{buildroot}%{_bindir}/stylus
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{nodejs_sitelib}/mocha/bin/mocha test/ test/middleware/ \
    --require should --bail --reporter spec
%endif


%files
%doc *.md docs/
%doc --no-dereference LICENSE
%{nodejs_sitelib}/stylus
%{_bindir}/stylus


%changelog
* Sun Mar 24 2019 Igor Vlasenko <viy@altlinux.ru> 0.54.5-alt1_4
- fc update

* Thu Aug 01 2013 Igor Vlasenko <viy@altlinux.ru> 0.35.1-alt1_1
- fc import

* Fri Jul 12 2013 Igor Vlasenko <viy@altlinux.ru> 0.32.1-alt1_2
- initial import

